You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
23 lines
915 B
23 lines
915 B
6 years ago
|
From 866e663fbdedcf520388218151d0f666857b6f92 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Tue, 7 Jan 2014 16:39:48 +0100
|
||
|
Subject: [PATCH] systemd/dracut-initqueue.sh: fstab is not a directory
|
||
|
|
||
|
---
|
||
|
modules.d/98systemd/dracut-initqueue.sh | 2 +-
|
||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/98systemd/dracut-initqueue.sh b/modules.d/98systemd/dracut-initqueue.sh
|
||
|
index 1e05dcd0..37bc18f1 100755
|
||
|
--- a/modules.d/98systemd/dracut-initqueue.sh
|
||
|
+++ b/modules.d/98systemd/dracut-initqueue.sh
|
||
|
@@ -67,7 +67,7 @@ while :; do
|
||
|
|
||
|
main_loop=$(($main_loop+1))
|
||
|
if [ $main_loop -gt $RDRETRY ]; then
|
||
|
- if ! [ -d /sysroot/etc/fstab ] || ! [ -e /sysroot/sbin/init ] ; then
|
||
|
+ if ! [ -f /sysroot/etc/fstab ] || ! [ -e /sysroot/sbin/init ] ; then
|
||
|
action_on_fail "Could not boot." && break
|
||
|
fi
|
||
|
warn "Not all disks have been found."
|